Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the FusionInventory-Agent CPAN distribution.

Report information
The Basics
Id: 120280
Status: open
Priority: 0/
Queue: FusionInventory-Agent

People
Owner: Nobody in particular
Requestors: SREZIC [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Subject: t/agent/http/client/connection.t fails (with IO::Socket 2.046?) (2.3.19)
Download (untitled) / with headers
text/plain 1.2k
Some of my smoker systems show the following failure: ... # Failed test 'response is a success' # at t/agent/http/client/connection.t line 453. # Looks like you failed 1 test of 1. # Failed test 'correct response' # at t/agent/http/client/connection.t line 390. # Failed test 'response is a success' # at t/agent/http/client/connection.t line 453. # Looks like you failed 1 test of 1. # Failed test 'correct response' # at t/agent/http/client/connection.t line 439. # Looks like you failed 2 tests of 36. t/agent/http/client/connection.t .................... Dubious, test returned 2 (wstat 512, 0x200) Failed 2/36 subtests ... Statistical analysis suggests that there are no problems if IO::Socket 2.047 is installed, so probably you want to set a minimum prereq version: **************************************************************** Regression 'mod:IO::Socket::SSL' **************************************************************** Name Theta StdErr T-stat [0='const'] 1.0000 0.0000 26548100347303964.00 [1='eq_2.046'] -1.0000 0.0000 -19480979726495444.00 [2='eq_2.047'] 0.0000 0.0000 0.00 R^2= 1.000, N= 16, K= 3 ****************************************************************
Download (untitled) / with headers
text/plain 1.1k
On Fri Feb 17 12:58:17 2017, SREZIC wrote: Show quoted text
> Statistical analysis suggests that there are no problems if IO::Socket > 2.047 is installed, so probably you want to set a minimum prereq > version: > > **************************************************************** > Regression 'mod:IO::Socket::SSL' > **************************************************************** > Name Theta StdErr T-stat > [0='const'] 1.0000 0.0000 26548100347303964.00 > [1='eq_2.046'] -1.0000 0.0000 -19480979726495444.00 > [2='eq_2.047'] 0.0000 0.0000 0.00 > > R^2= 1.000, N= 16, K= 3 > ****************************************************************
Unfortunatly, SSL connection tests can fail for a large number of reasons. Just requiring 2.047 or newer would have a large impact on users, without any guarantee of actually addressing the root issue. The changelog of this module seems rather to imply than the actual issue is a wrong change in 2.046, fixed in 2.047: http://cpansearch.perl.org/src/SULLR/IO-Socket-SSL-2.047/Changes So, we could eventually blacklist the 2.046 release, but I don't know how.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.